Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class PageDimensionMaker

    java.lang.Object
      org.apache.fop.fo.properties.PropertyMaker
          org.apache.fop.fo.properties.LengthProperty.Maker
              org.apache.fop.fo.properties.PageDimensionMaker

All Implemented Interfaces:
  java.lang.Cloneable

    public class PageDimensionMaker

extends LengthProperty.Maker

Custom Maker for page-height / page-width

Field Summary

Fields inherited from class org.apache.fop.fo.properties.PropertyMaker
`contextDep, corresponding, defaultProperty, defaultValue, propId, setByShorthand`

Constructor Summary
`PageDimensionMaker(int propId)` Constructor

Method Summary
`Property` | `get(int subpropId, PropertyList propertyList, boolean tryInherit, boolean tryDefault)` Check the value of the page-width / page-height property.

Methods inherited from class org.apache.fop.fo.properties.LengthProperty.Maker
`convertProperty`

Methods inherited from class org.apache.fop.fo.properties.PropertyMaker
`addEnum, addKeyword, addShorthand, addSubpropMaker, checkEnumValues, checkValueKeywords, clone, compute, convertPropertyDatatype, convertShorthandProperty, findProperty, getName, getPercentBase, getPropId, getShorthand, getSubprop, getSubpropMaker, isInherited, make, make, make, makeNewProperty, setByShorthand, setCorresponding, setDatatypeParser, setDefault, setDefault, setInherited, setPercentBase, setSubprop, useGeneric`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageDimensionMaker

    public PageDimensionMaker(int propId)

  Constructor

  Parameters:
    `propId` - the property Id

Method Detail

### get

    public Property get(int subpropId,
                        PropertyList propertyList,
                        boolean tryInherit,
                        boolean tryDefault)
                 throws PropertyException

  Check the value of the page-width / page-height property. Return the default or user-defined fallback in case the value was specified as "auto"

  Overrides:
    `get` in class `PropertyMaker`
  Parameters:
    `subpropId` - The subproperty id of the property being retrieved. Is 0 when retrieving a base property.
    `propertyList` - The PropertyList object being built for this FO.
    `tryInherit` - true if inherited properties should be examined.
    `tryDefault` - true if the default value should be returned.
  Returns:
    the property
  Throws:
    `PropertyException` - if a property exception occurs
  See Also:
    `PropertyMaker.get(int, PropertyList, boolean, boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.